%define anolis_release 1
%define with_tests 0

%global testspec_version 3.6.3

Name:           sassc
Version:        3.6.2
Release:        %{anolis_release}%{dist}

Summary:        Wrapper around libsass to compile CSS stylesheet

License:        MIT
URL:            http://github.com/sass/sassc
Source0:        https://github.com/sass/sassc/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  make
BuildRequires:  libsass-devel >= %{version}
BuildRequires:  gcc-c++
%if %{with_tests}
# For the test suite
BuildRequires:  ruby
BuildRequires:  rubygem-hrx
BuildRequires:  rubygem-minitest
%endif

%description
SassC is a wrapper around libsass used to generate a useful command-line
application that can be installed and packaged for several operating systems.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1

%build
autoreconf -fiv
%configure
%make_build 

%install
%make_install

%if %{with_tests}
%check
rm sass-spec/spec/basic/12_pseudo_classes_and_elements.hrx
rm sass-spec/spec/basic/44_bem_selectors.hrx
rm sass-spec/spec/extend-tests/018_test_id_unification.hrx
rm sass-spec/spec/extend-tests/065_test_attribute_unification.hrx
rm sass-spec/spec/extend-tests/066_test_attribute_unification.hrx
rm sass-spec/spec/extend-tests/067_test_attribute_unification.hrx
rm sass-spec/spec/extend-tests/068_test_attribute_unification.hrx
rm sass-spec/spec/extend-tests/070_test_pseudo_unification.hrx
rm sass-spec/spec/extend-tests/071_test_pseudo_unification.hrx
rm sass-spec/spec/extend-tests/074_test_pseudo_unification.hrx
rm sass-spec/spec/extend-tests/087_test_negation_unification.hrx
rm sass-spec/spec/libsass-closed-issues/issue_2520.hrx
ruby sass-spec/sass-spec.rb -c ./%{name} --impl libsass sass-spec/spec
%endif

%generate_compatibility_deps

%files
%dir %{abidir}
%license LICENSE
%{_bindir}/%{name}
%{abidir}/%{name}-option.list

%files doc
%doc Readme.md CODE_OF_CONDUCT.md

%changelog
* Mon Mar 27 2023 yuanhui <yuanhui@linux.alibaba.com> - 3.6.2-1
- Init package from upstream
